=== modified file 'bzrlib/tests/per_workingtree/test_smart_add.py'
--- bzrlib/tests/per_workingtree/test_smart_add.py	2011-05-18 18:49:43 +0000
+++ bzrlib/tests/per_workingtree/test_smart_add.py	2011-05-28 14:56:33 +0000
@@ -299,10 +299,11 @@
     def test_requires_normalized_unicode_filenames_fails_on_unnormalized(self):
         """Adding unnormalized unicode filenames fail if and only if the
         workingtree format has the requires_normalized_unicode_filenames flag
-        set.
+        set and the underlying filesystem doesn't normalize.
         """
         osutils.normalized_filename = osutils._accessible_normalized_filename
-        if self.workingtree_format.requires_normalized_unicode_filenames:
+        if (self.workingtree_format.requires_normalized_unicode_filenames
+            and sys.platform != 'darwin'):
             self.assertRaises(
                 errors.NoSuchFile, self.wt.smart_add, [u'a\u030a'])
         else:

=== modified file 'doc/en/release-notes/bzr-2.4.txt'
--- doc/en/release-notes/bzr-2.4.txt	2011-05-28 06:44:01 +0000
+++ doc/en/release-notes/bzr-2.4.txt	2011-05-28 15:41:39 +0000
@@ -84,6 +84,8 @@
   the default OS buffer size for pipes is small or the ``python -v``
   output is large.  (Andrew Bennetts, #784802)
 
+* Fix spurious test failure on OSX for WorkingTreeFormat2.
+  (Vincent Ladeuil, #787942)
 * Skip ``utextwrap`` tests when ``sphinx`` breaks text_wrap by an hostile
   monkeypatch to textwrap.TextWrapper.wordsep_re.
   (Vincent Ladeuil, #785098)

